import type { Duration, RelativeTime } from '@datadog/browser-core';
import type { RumConfiguration } from '../../configuration';
import type { FirstHidden } from './trackFirstHidden';
export interface FirstInput {
    delay: Duration;
    time: RelativeTime;
    targetSelector?: string;
}
/**
 * Track the first input occurring during the initial View to return:
 * - First Input Delay
 * - First Input Time
 * Callback is called at most one time.
 * Documentation: https://web.dev/fid/
 * Reference implementation: https://github.com/GoogleChrome/web-vitals/blob/master/src/getFID.ts
 */
export declare function trackFirstInput(configuration: RumConfiguration, firstHidden: FirstHidden, callback: (firstInput: FirstInput) => void): {
    stop: () => void;
};
