import type { RumInitConfiguration } from './configuration';
export declare function fetchAndApplyRemoteConfiguration(initConfiguration: RumInitConfiguration, callback: (initConfiguration: RumInitConfiguration) => void): void;
export declare function applyRemoteConfiguration(initConfiguration: RumInitConfiguration, remoteInitConfiguration: Partial<RumInitConfiguration>): {
    applicationId: string;
    propagateTraceBaggage?: boolean | undefined;
    beforeSend?: ((event: import("../..").RumEvent, context: import("../..").RumEventDomainContext) => boolean) | undefined;
    excludedActivityUrls?: import("@datadog/browser-core").MatchOption[] | undefined;
    workerUrl?: string;
    compressIntakeRequests?: boolean | undefined;
    remoteConfigurationId?: string | undefined;
    allowedTracingUrls?: Array<import("@datadog/browser-core").MatchOption | import("../tracing/tracer.types").TracingOption> | undefined;
    traceSampleRate?: number | undefined;
    traceContextInjection?: import("@datadog/browser-core").TraceContextInjection | undefined;
    defaultPrivacyLevel?: import("@datadog/browser-core").DefaultPrivacyLevel | undefined;
    subdomain?: string;
    sessionReplaySampleRate?: number | undefined;
    startSessionReplayRecordingManually?: boolean | undefined;
    enablePrivacyForActionName?: boolean | undefined;
    trackUserInteractions?: boolean | undefined;
    actionNameAttribute?: string | undefined;
    trackViewsManually?: boolean | undefined;
    trackBfcacheViews?: boolean | undefined;
    trackResources?: boolean | undefined;
    trackLongTasks?: boolean | undefined;
    plugins?: import("../plugins").RumPlugin[] | undefined;
    trackFeatureFlagsForEvents?: import("./configuration").FeatureFlagsForEvents[];
    profilingSampleRate?: number | undefined;
    clientToken: string;
    sessionSampleRate?: number | undefined;
    telemetrySampleRate?: number | undefined;
    silentMultipleInit?: boolean | undefined;
    sessionPersistence?: import("@datadog/browser-core").SessionPersistence | undefined;
    allowFallbackToLocalStorage?: boolean | undefined;
    allowUntrustedEvents?: boolean | undefined;
    storeContextsAcrossPages?: boolean | undefined;
    trackingConsent?: import("@datadog/browser-core").TrackingConsent | undefined;
    allowedTrackingOrigins?: import("@datadog/browser-core").MatchOption[] | undefined;
    proxy?: string | ((options: {
        path: string;
        parameters: string;
    }) => string) | undefined;
    site?: import("@datadog/browser-core").Site | undefined;
    service?: string | undefined | null;
    env?: string | undefined | null;
    version?: string | undefined | null;
    usePartitionedCrossSiteSessionCookie?: boolean | undefined;
    useSecureSessionCookie?: boolean | undefined;
    trackSessionAcrossSubdomains?: boolean | undefined;
    trackAnonymousUser?: boolean | undefined;
    enableExperimentalFeatures?: string[] | undefined;
    replica?: import("@datadog/browser-core/cjs/domain/configuration/configuration").ReplicaUserConfiguration | undefined;
    datacenter?: string;
    internalAnalyticsSubdomain?: string;
    telemetryConfigurationSampleRate?: number;
    telemetryUsageSampleRate?: number;
};
export declare function fetchRemoteConfiguration(configuration: RumInitConfiguration, callback: (remoteConfiguration: Partial<RumInitConfiguration>) => void): void;
export declare function buildEndpoint(configuration: RumInitConfiguration): string;
