import type { RelativeTime } from '@datadog/browser-core';
import type { RumConfiguration } from '../../configuration';
import type { FirstHidden } from './trackFirstHidden';
export declare const LCP_MAXIMUM_DELAY: number;
export interface LargestContentfulPaint {
    value: RelativeTime;
    targetSelector?: string;
    resourceUrl?: string;
}
/**
 * Track the largest contentful paint (LCP) occurring during the initial View.  This can yield
 * multiple values, only the most recent one should be used.
 * Documentation: https://web.dev/lcp/
 * Reference implementation: https://github.com/GoogleChrome/web-vitals/blob/master/src/onLCP.ts
 */
export declare function trackLargestContentfulPaint(configuration: RumConfiguration, firstHidden: FirstHidden, eventTarget: Window, callback: (largestContentfulPaint: LargestContentfulPaint) => void): {
    stop: () => void;
};
